dpkg-buildapi(1)

NOME
dpkg-buildapi - retorna o nível API de compilação a usar durante a compilação do pacote

RESUMO
dpkg-buildapi [option...] [command]

DESCRIÇÃO
dpkg-buildapi é uma ferramenta para obter o nível <dpkg-build-api(7)> a usar durante a compilação de pacotes fonte Debian.

Este programa foi introduzido no dpkg 1.22.0.

COMANDOS

--help
    Mostra a mensagem de utilização e termina.

--version
    Mostra a versão e termina.

OPÇÕES

-ccontrol-file
    Especifica o ficheiro de controle fonte principal de onde ler informação. A predefinição é debian/control.

AMBIENTE

DPKG_BUILD_API
    O nível API de compilação a usar. Isto destina-se a ser usado internamente pelas ferramentas executadas a partir de debian/rules para se evitar ter de se analisar debian/control várias vezes, e não para definir o nível API de compilação global de debian/rules, caso contrário as drivers de compilação (como a dpkg-buildpackage(1)) não poderiam aceder a ele.

FICHEIROS

  Suporte a empacotamento

/usr/pkg/share/dpkg/buildapi.mk
    Trecho do Makefile que irá analisar o nível API de compilação.

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro <a_monteiro@gmx.com>.